Bug 1031228 - Xorg RADEON failed to set drm interface version
Xorg RADEON failed to set drm interface version
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4774f694b46f15a186b72e3370b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 18:32 EST by Philip Walden
Modified: 2015-02-17 14:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:15:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: Xorg.1.log (21.26 KB, text/plain)
2013-11-15 18:32 EST, Philip Walden
no flags Details
File: backtrace (7.25 KB, text/plain)
2013-11-15 18:32 EST, Philip Walden
no flags Details
File: cgroup (153 bytes, text/plain)
2013-11-15 18:32 EST, Philip Walden
no flags Details
File: core_backtrace (1.40 KB, text/plain)
2013-11-15 18:32 EST, Philip Walden
no flags Details
File: dso_list (5.00 KB, text/plain)
2013-11-15 18:32 EST, Philip Walden
no flags Details
File: environ (154 bytes, text/plain)
2013-11-15 18:32 EST, Philip Walden
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-15 18:32 EST, Philip Walden
no flags Details
File: maps (14.55 KB, text/plain)
2013-11-15 18:32 EST, Philip Walden
no flags Details
File: open_fds (770 bytes, text/plain)
2013-11-15 18:32 EST, Philip Walden
no flags Details
File: proc_pid_status (748 bytes, text/plain)
2013-11-15 18:33 EST, Philip Walden
no flags Details
File: var_log_messages (979 bytes, text/plain)
2013-11-15 18:33 EST, Philip Walden
no flags Details

  None (edit)
Description Philip Walden 2013-11-15 18:32:31 EST
Description of problem:
I just updated my F18 Sony laptop with a ATI Radeon IGP 330M/340M/345M/350M to F19 using fedup --netwok.

It successfully boots, but when I try graphical log in, it hangs with a blank screen.

The Xorg.1.log has the following entry:

[   354.500] (II) RADEON(0): Creating default Display subsection in Screen section
        "Default Screen Section" for depth/fbbpp 24/32
[   354.500] (==) RADEON(0): Depth 24, (--) framebuffer bpp 32
[   354.500] (II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
[   354.500] (==) RADEON(0): Default visual is TrueColor
[   354.501] (==) RADEON(0): RGB weight 888
[   354.501] (II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
[   354.501] (--) RADEON(0): Chipset: "ATI Radeon IGP330M/340M/350M (U2) 4337" (ChipID = 0x4337)
[   354.501] (EE) RADEON(0): [drm] failed to set drm interface version.
[   354.501] (EE) RADEON(0): Kernel modesetting setup failed
[   354.501] (II) UnloadModule: "radeon"
[   354.501] (EE) Screen(s) found, but none have a usable configuration.
[   354.501] (EE) 
Fatal server error:
[   354.501] (EE) no screens found(EE) 
[   354.501] (EE) 
Please consult the Fedora Project support 
         at http://wiki.x.org

lshw for the display yields: product: RS200M [Radeon IGP 330M/340M/345M/350M]

The Xorg.1.log says fatal error, but the Xorg just appears to be hung. I SIGABRTed it to get this core dump to report the problem.

Searching for similar problems on the internet, yields clues that this may be a race condition, in that the drm Radeon driver is not finished initilizing before Xorg tries to use it.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.14.3-2.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/Xorg :0 -background none -verbose -auth /run/gdm/auth-for-gdm-SXBXvI/database -seat seat0 -nolisten tcp vt1
crash_function: __kernel_vsyscall
executable:     /usr/bin/Xorg
kernel:         3.11.7-200.fc19.i686.PAE
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 __kernel_vsyscall
 #1 ___newselect_nocancel at ../sysdeps/unix/syscall-template.S:81
 #2 WaitForSomething at WaitFor.c:221
 #3 Dispatch at dispatch.c:361
Comment 1 Philip Walden 2013-11-15 18:32:37 EST
Created attachment 824747 [details]
File: Xorg.1.log
Comment 2 Philip Walden 2013-11-15 18:32:39 EST
Created attachment 824748 [details]
File: backtrace
Comment 3 Philip Walden 2013-11-15 18:32:42 EST
Created attachment 824749 [details]
File: cgroup
Comment 4 Philip Walden 2013-11-15 18:32:44 EST
Created attachment 824750 [details]
File: core_backtrace
Comment 5 Philip Walden 2013-11-15 18:32:47 EST
Created attachment 824751 [details]
File: dso_list
Comment 6 Philip Walden 2013-11-15 18:32:49 EST
Created attachment 824752 [details]
File: environ
Comment 7 Philip Walden 2013-11-15 18:32:52 EST
Created attachment 824753 [details]
File: limits
Comment 8 Philip Walden 2013-11-15 18:32:55 EST
Created attachment 824754 [details]
File: maps
Comment 9 Philip Walden 2013-11-15 18:32:57 EST
Created attachment 824755 [details]
File: open_fds
Comment 10 Philip Walden 2013-11-15 18:33:00 EST
Created attachment 824756 [details]
File: proc_pid_status
Comment 11 Philip Walden 2013-11-15 18:33:02 EST
Created attachment 824757 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-01-09 15:36:22 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Philip Walden 2015-01-10 13:02:05 EST
FYI for anyone else. The problem is likely still in future Fedora versions.

I switched from the default gdm to the lightdm display manager to avoid the problem, which seems to be some kind of race or timing condition with gdm. gdm does not appear to unlock the displ card before xorg tries to get it. Hence the no screens error in xorg.log
Comment 14 Fedora End Of Life 2015-02-17 14:15:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.